# Gimp.Path.prototype.stroke_flip_free

    function stroke_flip_free(stroke_id: Number(gint), x1: Number(gdouble), y1: Number(gdouble), x2: Number(gdouble), y2: Number(gdouble)): Boolean {
        // Gjs wrapper for gimp_path_stroke_flip_free()
    }

flips the given stroke about an arbitrary axis.

Flips the given stroke about an arbitrary axis. Axis is defined by two coordinates in the image (in pixels), through which the flipping axis passes.

Since 2.4

stroke_id

  The stroke ID.

x1

  X coordinate of the first point of the flipping axis.

y1

  Y coordinate of the first point of the flipping axis.

x2

  X coordinate of the second point of the flipping axis.

y2

  Y coordinate of the second point of the flipping axis.

Returns

  TRUE on success.